Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Kent Fredric" <kentfredric@...>
Subject: proj/perl-overlay:master commit in: dev-perl/HTML-FormHandler/
Date: Sat, 23 Jun 2012 16:39:44 +0000 (UTC)
commit:     66961cbba444f1a36f043431ac101bb923731ea1
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Sat Jun 23 14:34:24 2012 +0000
Commit:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Sat Jun 23 14:34:24 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=66961cbb

[newversion] HTML-FormHandler-0.400.120

(Portage version: 2.2.0_alpha101/git/Linux x86_64, signed Manifest commit with key 4132B87441EA24A4EB5E6DE181EC638ED7AE97A6)

---
 dev-perl/HTML-FormHandler/ChangeLog                |    6 ++
 .../HTML-FormHandler-0.400.120.ebuild              |   80 ++++++++++++++++++++
 2 files changed, 86 insertions(+), 0 deletions(-)

diff --git a/dev-perl/HTML-FormHandler/ChangeLog b/dev-perl/HTML-FormHandler/ChangeLog
index a6becd7..da85bdf 100644
--- a/dev-perl/HTML-FormHandler/ChangeLog
+++ b/dev-perl/HTML-FormHandler/ChangeLog
@@ -2,6 +2,12 @@
 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*HTML-FormHandler-0.400.120 (23 Jun 2012)
+
+  23 Jun 2012; Kent Fredric <kentfredric@...>
+  +HTML-FormHandler-0.400.120.ebuild:
+  Version Bump
+
   23 Jun 2012; Kent Fredric <kentfredric@...>
   HTML-FormHandler-0.330.10.ebuild, HTML-FormHandler-0.330.20.ebuild,
   HTML-FormHandler-0.360.30.ebuild:

diff --git a/dev-perl/HTML-FormHandler/HTML-FormHandler-0.400.120.ebuild b/dev-perl/HTML-FormHandler/HTML-FormHandler-0.400.120.ebuild
new file mode 100644
index 0000000..3505b25
--- /dev/null
+++ b/dev-perl/HTML-FormHandler/HTML-FormHandler-0.400.120.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=GSHANK
+MODULE_VERSION=0.40012
+inherit perl-module
+
+DESCRIPTION='HTML forms using Moose'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_configure() {
+	# ExtUtils::MakeMaker 6.30 ( 6.300.0 )
+	echo \>=virtual/perl-ExtUtils-MakeMaker-6.30
+	# File::ShareDir::Install 0.03 ( 0.30.0 )
+	echo \>=dev-perl/File-ShareDir-Install-0.30.0
+}
+perl_meta_runtime() {
+	# Carp
+	# echo virtual/perl-Carp
+	# Class::Load 0.06 ( 0.60.0 )
+	echo \>=dev-perl/Class-Load-0.06
+	# Data::Clone
+	echo dev-perl/Data-Clone
+	# DateTime
+	echo dev-perl/DateTime
+	# DateTime::Format::Strptime
+	echo dev-perl/DateTime-Format-Strptime
+	# Email::Valid
+	echo dev-perl/Email-Valid
+	# File::ShareDir
+	echo dev-perl/File-ShareDir
+	# File::Spec
+	echo virtual/perl-File-Spec
+	# HTML::TreeBuilder 3.23 ( 3.230.0 )
+	echo \>=dev-perl/HTML-Tree-3.230.0
+	# Locale::Maketext 1.09 ( 1.90.0 )
+	echo \>=virtual/perl-locale-maketext-1.09
+	# Moose 2.0007 ( 2.0.700 )
+	echo \>=dev-perl/Moose-2.0.700
+	# MooseX::Getopt 0.16 ( 0.160.0 )
+	echo \>=dev-perl/MooseX-Getopt-0.160.0
+	# MooseX::Types 0.20 ( 0.200.0 )
+	echo \>=dev-perl/MooseX-Types-0.200.0
+	# MooseX::Types::Common
+	echo dev-perl/MooseX-Types-Common
+	# MooseX::Types::LoadableClass 0.006 ( 0.6.0 )
+	echo \>=dev-perl/MooseX-Types-LoadableClass-0.6.0
+	# Sub::Exporter
+	echo dev-perl/Sub-Exporter
+	# Sub::Name
+	echo dev-perl/Sub-Name
+	# Try::Tiny
+	echo dev-perl/Try-Tiny
+	# aliased
+	echo dev-perl/aliased
+	# namespace::autoclean 0.09 ( 0.90.0 )
+	echo \>=dev-perl/namespace-autoclean-0.90.0
+}
+perl_meta_test() {
+	# Test::Differences
+	echo dev-perl/Test-Differences
+	# Test::Exception
+	echo dev-perl/Test-Exception
+	# Test::Memory::Cycle 1.04 ( 1.40.0 )
+	echo \>=dev-perl/Test-Memory-Cycle-1.40.0
+	# Test::More 0.94 ( 0.940.0 )
+	echo \>=virtual/perl-Test-Simple-0.94
+}
+DEPEND="
+	$(perl_meta_configure)
+	$(perl_meta_runtime)
+	test? ( $(perl_meta_test) )
+"
+RDEPEND="
+	$(perl_meta_runtime)
+"
+SRC_TEST="do"


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
proj/perl-overlay:master commit in: dev-perl/HTML-FormHandler/
Next by thread:
proj/perl-overlay:master commit in: dev-perl/HTML-TagCloud/
Previous by date:
gentoo-x86 commit in dev-php/Text_Template: ChangeLog
Next by date:
proj/perl-overlay:master commit in: dev-perl/HTML-TreeBuilder-LibXML/


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.